osgShadow::ParallelSplitShadowMap::PSSMShadowSplitTexture Struct Reference

`#include <ParallelSplitShadowMap>`

## Public Member Functions

void | resizeGLObjectBuffers (unsigned int maxSize)
void | releaseGLObjects (osg::State *=0) const

## Public Attributes

osg::ref_ptr< osg::Camera > | _camera
osg::ref_ptr< osg::TexGen > | _texgen
osg::ref_ptr< osg::Texture2D > | _texture
osg::ref_ptr< osg::StateSet > | _stateset
unsigned int | _textureUnit
double | _split_far
osg::ref_ptr< osg::Camera > | _debug_camera
osg::ref_ptr< osg::Texture2D > | _debug_texture
osg::ref_ptr< osg::StateSet > | _debug_stateset
unsigned int | _debug_textureUnit
osg::Vec3d | _lightCameraSource
osg::Vec3d | _lightCameraTarget
osg::Vec3d | _frustumSplitCenter
osg::Vec3d | _lightDirection
double | _lightNear
double | _lightFar
osg::Matrix | _cameraView
osg::Matrix | _cameraProj
unsigned int | _splitID
unsigned int | _resolution
osg::ref_ptr< osg::Uniform > | _farDistanceSplit

## Member Function Documentation

## releaseGLObjects()

void osgShadow::ParallelSplitShadowMap::PSSMShadowSplitTexture::releaseGLObjects | ( | osg::State * | = 0 | ) | const

## resizeGLObjectBuffers()

void osgShadow::ParallelSplitShadowMap::PSSMShadowSplitTexture::resizeGLObjectBuffers | ( | unsigned int | maxSize | ) |

## Member Data Documentation

## _camera

osg::ref_ptr<osg::Camera> osgShadow::ParallelSplitShadowMap::PSSMShadowSplitTexture::_camera

## _cameraProj

osg::Matrix osgShadow::ParallelSplitShadowMap::PSSMShadowSplitTexture::_cameraProj

## _cameraView

osg::Matrix osgShadow::ParallelSplitShadowMap::PSSMShadowSplitTexture::_cameraView

## _debug_camera

osg::ref_ptr<osg::Camera> osgShadow::ParallelSplitShadowMap::PSSMShadowSplitTexture::_debug_camera

## _debug_stateset

osg::ref_ptr<osg::StateSet> osgShadow::ParallelSplitShadowMap::PSSMShadowSplitTexture::_debug_stateset

## _debug_texture

osg::ref_ptr<osg::Texture2D> osgShadow::ParallelSplitShadowMap::PSSMShadowSplitTexture::_debug_texture

## _debug_textureUnit

unsigned int osgShadow::ParallelSplitShadowMap::PSSMShadowSplitTexture::_debug_textureUnit

## _farDistanceSplit

osg::ref_ptr<osg::Uniform> osgShadow::ParallelSplitShadowMap::PSSMShadowSplitTexture::_farDistanceSplit

## _frustumSplitCenter

osg::Vec3d osgShadow::ParallelSplitShadowMap::PSSMShadowSplitTexture::_frustumSplitCenter

## _lightCameraSource

osg::Vec3d osgShadow::ParallelSplitShadowMap::PSSMShadowSplitTexture::_lightCameraSource

## _lightCameraTarget

osg::Vec3d osgShadow::ParallelSplitShadowMap::PSSMShadowSplitTexture::_lightCameraTarget

## _lightDirection

osg::Vec3d osgShadow::ParallelSplitShadowMap::PSSMShadowSplitTexture::_lightDirection

## _lightFar

double osgShadow::ParallelSplitShadowMap::PSSMShadowSplitTexture::_lightFar

## _lightNear

double osgShadow::ParallelSplitShadowMap::PSSMShadowSplitTexture::_lightNear

## _resolution

unsigned int osgShadow::ParallelSplitShadowMap::PSSMShadowSplitTexture::_resolution

## _split_far

double osgShadow::ParallelSplitShadowMap::PSSMShadowSplitTexture::_split_far

## _splitID

unsigned int osgShadow::ParallelSplitShadowMap::PSSMShadowSplitTexture::_splitID

## _stateset

osg::ref_ptr<osg::StateSet> osgShadow::ParallelSplitShadowMap::PSSMShadowSplitTexture::_stateset

## _texgen

osg::ref_ptr<osg::TexGen> osgShadow::ParallelSplitShadowMap::PSSMShadowSplitTexture::_texgen

## _texture

osg::ref_ptr<osg::Texture2D> osgShadow::ParallelSplitShadowMap::PSSMShadowSplitTexture::_texture

## _textureUnit

unsigned int osgShadow::ParallelSplitShadowMap::PSSMShadowSplitTexture::_textureUnit

The documentation for this struct was generated from the following file:

- ParallelSplitShadowMap